//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop
#include <math.h>

#include "Comune.h"
//---------------------------------------------------------------------------

// genera un numero casuale compreso tra 0 e MAX
int casuale(double MAX) {
	double tiro = rand();
	return (int) floor(MAX * tiro / RAND_MAX + 0.5);
}

int Coord::distanza_euclidea(Coord A,Coord B) {
	double distanza;
    double dx,dy;
    double dx2,dy2;

    dx = A.x - B.x;
    dy = A.y - B.y;

    dx2 = pow(dx,2.0);
    dy2 = pow(dy,2.0);

    distanza = sqrt(dx2+dy2);

    return (int) floor(distanza+0.5);
}


double DCoord::distanza_euclidea(DCoord A,DCoord B) {
	double distanza;
    double dx,dy;
    double dx2,dy2;

    dx = A.x - B.x;
    dy = A.y - B.y;

    dx2 = pow(dx,2.0);
    dy2 = pow(dy,2.0);

    distanza = sqrt(dx2+dy2);

    return distanza;
}

bool DCoord::operator==(DCoord other) {
	return (x == other.x && y == other.y);
}

