//---------------------------------------------------------------------------
#ifndef ComuneH
#define ComuneH
//---------------------------------------------------------------------------
const double pi = 3.14;

int casuale(double MAX);

class Angolo {
	double valore;

public:
    Angolo() {
    	valore = 0;
    }

    void radianti(double alfa) {
    	valore = alfa;
    }

    double radianti() {
    	return valore;
    }

    void gradi(double alfa) {
    	valore = alfa * pi / 180.0;
    }

    double gradi() {
    	return valore * 180.0 / pi;
    }
};

struct Coord {
	int x,y;

    static int distanza_euclidea(Coord A,Coord B);
};

struct DCoord {
	double x,y;

    static double distanza_euclidea(DCoord A,DCoord B);
    bool operator==(DCoord other);
};

#endif
