//---------------------------------------------------------------------------
#ifndef EquazioneRettaH
#define EquazioneRettaH

#include <Math.h>
#include "Comune.h"
//---------------------------------------------------------------------------
class EquazioneRetta {
	double a,b,c;		// ax + by +c = 0
public:
	EquazioneRetta(double x1,double y1,double x2,double y2);
	EquazioneRetta(double aa,double bb,double cc);
	double X(double y);
	double Y(double x);
	bool verticale() {
		return (b==0);
	}
	bool orizzontale() {
		return (a==0);
	}
	double coefficente_angolare();
	Angolo angolo();

	static bool coincidenti(EquazioneRetta r1, EquazioneRetta r2);
	static bool parallele(EquazioneRetta r1,EquazioneRetta r2);
	static DCoord intersezione(EquazioneRetta r1,EquazioneRetta r2);
};


#endif
