//---------------------------------------------------------------------------
#ifndef SegmentoH
#define SegmentoH

#include "Comune.h"
#include "EquazioneRetta.h"

class Segmento : EquazioneRetta {
	DCoord inizio,fine;
    double minx,miny;
    double maxx,maxy;

	bool xRange(double x);
    bool yRange(double y);
    bool Range(DCoord A);
    bool contiene(DCoord A);
public:
    Segmento(double x1,double y1,double x2,double y2);
    Segmento(DCoord A,DCoord B);

    bool distanza_punto(DCoord punto,double MAX);
    //bool contiene(DCoord punto);

    DCoord preleva_inizio();
    DCoord preleva_fine();

    
    static bool nodo_comune(Segmento s1,Segmento s2);
    static Segmento *modifica_inizio(Segmento s, DCoord A);
    static Segmento *modifica_fine(Segmento s, DCoord A);
    static bool intersezione(Segmento s1,Segmento s2);
};

//---------------------------------------------------------------------------
#endif
